#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE1,0x06,0xA2,0xB5,0x7B,0x06,0x3B,0x64,0x62,0xE7,0xC5,0x0A,
		0xD6,0x08,0xAF,0x12,0x64,0x7C,0x13,0xB1,0xC1,0x25,0xCF,0xBF,
		0xC5,0x75,0x24,0x47,0x3F,0x89,0x4B,0x29,0xF8,0xA1,0x68,0xAE,
		0xD4,0xCA,0xA7,0x1E,0xED,0xD4,0xB7,0xDC,0x62,0x9F,0xBE,0xEF,
		0xE5,0xB3,0x1A,0xAB,0x6B,0xAA,0x3A,0x09,0x51,0xBA,0xB4,0x71,
		0xE3,0xC9,0x94,0x27,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
